package tptel.modele;
// Generated 4 Oct 2021, 11:17:05 by Hibernate Tools 5.4.30.Final

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Client generated by hbm2java
 */

@Entity
@Table(name = "client")
public class Client implements java.io.Serializable {

	private Integer idClient;
	private String nom;
	private String email;
	private String tel;
	private String ville;
	private Set<Abonnement> abonnements = new HashSet(0);

	public Client() {
	}

	public Client(String nom, String email, String tel, String ville) {
		this.nom = nom;
		this.email = email;
		this.tel = tel;
		this.ville = ville;
	}

	public Client(String nom, String email, String tel, String ville, Set<Abonnement> abonnements) {
		this.nom = nom;
		this.email = email;
		this.tel = tel;
		this.ville = ville;
		this.abonnements = abonnements;
	}

	@Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "idClient",unique=true, nullable = false)
	public Integer getIdClient() {
		return this.idClient;
	}

	public void setIdClient(Integer idClient) {
		this.idClient = idClient;
	}

	@Column(name = "nom", nullable = false, length = 25)
	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	@Column(name = "email", nullable = false, length = 25)
	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	@Column(name = "tel", nullable = false, length = 25)
	public String getTel() {
		return this.tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	@Column(name = "ville", nullable = false, length = 25)
	public String getVille() {
		return this.ville;
	}

	public void setVille(String ville) {
		this.ville = ville;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "client")
	public Set<Abonnement> getAbonnements() {
		return this.abonnements;
	}

	public void setAbonnements(Set<Abonnement> abonnements) {
		this.abonnements = abonnements;
	}

}
